<?php 
session_start();
require_once ("../../config/Cado.php");

require_once ("../formatos/formato.php");
require_once ("cProducto.php");
$oProducto = new cProducto();

require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();

require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();

// echo $_POST['cat_id'].' -- ';

$dts=$oProductomarca->mostrar_filtro($_POST['cat_id']);
$num_rows= mysqli_num_rows($dts);


?>

<style>
	div#tabla_codigo_producto { margin: 0 0; }
	div#tabla_codigo_producto table { margin: 0 0; border-collapse: collapse;}
	div#tabla_codigo_producto table td, div#tabla_codigo_producto table th { border: 1px solid #eee; padding: 3px 8px; font-size:12px; }
	div#tabla_codigo_producto table th { height:16px }
	
	.lbl_cod{
		
	}
	
	.lbl_cod:hover{
		color:#e0e0e0;
	}
	
</style> 


<div  class="col-lg-12 col-sm-12 col-xs-12 no-padding">

<div class="table-responsive">		

<table class="table table-bordered table-striped" >

<tr class="bg-gray">
<td></td>
<td nowrap >LABORATORIOS</td>
<td nowrap >FEC. VCTO.</td>
<td nowrap >COD BAR</td>
<td nowrap >P. COSTO</td>
<td nowrap >P. VENTA</td>
<td nowrap >CODIGOS</td>
<!--
<td><span title="" class="btn btn-primary btn-sm glyphicon glyphicon-plus"></span></td>	
-->
</tr>

<?php 
	if($num_rows>0){
	while($dt = mysqli_fetch_array($dts)){

?>

<tr>

<td nowrap data-prod_marcod="<?php echo $dt['tb_productomarca_id']; ?>" >

<button class="btn btn-xs btn-success" 
onclick="marca_form('editar_productomarca','<?php echo $dt['tb_productomarca_id']; ?>')" ><i class="fas fa-edit"></i></button>
<button class="btn btn-xs btn-danger" 
onclick="eliminar_marca_editar('eliminar_productomarca','<?php echo $dt['tb_productomarca_id']; ?>')" ><i class="fas fa-trash"></i></button>

</td>
<td nowrap >
<?php echo  $dt['tb_marca_nom']; ?>
</td>
<td nowrap >
 <strong> <?php echo mostrarFecha($dt['tb_productomarca_fecven']); ?> </strong>
</td>
<td nowrap >
 <strong> <?php echo $dt['tb_productomarca_codbar']; ?> </strong>
</td>
<td nowrap >
 <strong> <?php echo formato_money($dt['tb_productomarca_precos']); ?> </strong>
</td>
<td nowrap >
 <strong> <?php echo  formato_money($dt['tb_productomarca_preven']); ?> </strong>
</td>

<td>
<table id="">
<?php 

$dts1=$oProductomarcacodigo->mostrar_filtro($dt['tb_productomarca_id']);
$num_rows1= mysqli_num_rows($dts1);

if($num_rows1>0){
	while($dt1 = mysqli_fetch_array($dts1)){

?>

	<td nowrap>
	
	<?php if($dt1['tb_productomarcacodigo_tip']==1){ ?>

	
	<span class="badge badge-danger"> <span style="cursor:pointer;font-size:1rem" class="" > <?php echo $dt1['tb_productomarcacodigo_cod'].'  '; ?>  </span>
	<i style="cursor:pointer;font-size:1rem" class="fab fa-pushed"></i>
	</span>

	<?php 
	}else{
	?>
	

	<span class="badge lbl_sec badge-dark" style="font-size:1rem "> <span onclick="actualizar_codmarca('<?php echo $dt1['tb_productomarcacodigo_id']; ?>','<?php echo $_POST['cat_id'];?>')" style="cursor:pointer" class="lbl_cod" > <?php echo $dt1['tb_productomarcacodigo_cod'].'  '; ?>  </span>
	<span style="cursor:pointer;" class="text-default" onclick="eliminar_codmarca('<?php echo $dt1['tb_productomarcacodigo_id']; ?>')" >&times;</span>
	</span>
	
	<?php } ?>
	
	</td>

	<!--
		<?php if($dt1['tb_productomarcacodigo_tip']==1){
			?>
			<td nowrap  style="border-color:#0d47a1;" width="100" >
			<input data-pro_marid="<?php echo $dt1['tb_productomarcacodigo_id'];?>" data-original="<?php echo $dt1['tb_productomarcacodigo_cod'];?>" 
			class="editable" type="text" value="<?php echo $dt1['tb_productomarcacodigo_cod']; ?>" style="font-size:10pt; font-weight:bold;" />
			</td>
			<?php 

		}else{
			?>
			<td nowrap  width="100" >
			<input data-pro_marid="<?php echo $dt1['tb_productomarcacodigo_id'];?>" data-original="<?php echo $dt1['tb_productomarcacodigo_cod'];?>" 
			class="editable" type="text" value="<?php echo $dt1['tb_productomarcacodigo_cod']; ?>"style="font-size:10pt; font-weight:bold" />
			</td>
		<?php }?>
		-->		
		
		
<?php 
	}

}else{
	?>
	
		CODIGOS NO ENCONTRADOS
	
	<?php 
}

?>	

</table>
</td>



</tr>

<?php
	}
}else{
?>
<tr><td colspan="2">SIN MARCAS</td></tr>
<?php 
}
?>
</table>

</div>
</div>



<script type="text/javascript">



	$('#tabla_venta_car td input').keydown(function(ev) {
			if(ev.keyCode == 13 && !$(this).attr('readonly')) {
				var codnuevo = $(this).val().toUpperCase();
				var promarcod_id = $(this).attr('data-pro_marid');
				
				agregar_codigo('modificarcodigo','',codnuevo,promarcod_id);
				$(this).attr('readonly', 'true');
				$(this).removeClass('editando');
				return false;
			}
		});

	$('#tabla_venta_car td input').parent().click(function(ev) {
			var $input = $(this).find('input');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		});

		$('#tabla_venta_car td input').blur(function(event) {
			$(this).val($(this).attr('data-original'));
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		});

</script>
